package com.benyanyi.okhttp.download;

import com.benyanyi.okhttp.listener.OnDownLoadObserver;

/**
 * @author YanYi
 * @date 2019-08-15 10:25
 * @email ben@yanyi.red
 * @overview
 */
public interface DownloadRequest {

    void start();

    void start(OnDownLoadObserver onDownLoadObserver);

    void pause();

    void cancel();

    boolean getDownloadUrl();

    DownloadInfo getDownloadInfo();

}
