package com.benyanyi.okhttp.listener;

/**
 * @author myLove
 */

public abstract class OnOkHttpListener<T> {
    /**
     * 网络请求后
     */
    public abstract void onCompleted();

    /**
     * 请求成功
     *
     * @param message
     */
    public abstract void onSuccess(T message);

    /**
     * 请求失败
     *
     * @param t
     */
    public abstract void onFailure(Throwable t);
}
